- Main Page
- Classes
- Files

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# moeoAdditiveBinaryEpsilonIndicator< EOFitness > Class Template Reference

Functor Additive binary epsilon indicator for eoParetoFitness. More...

`#include <moeoBinaryQualityIndicator.h>`

Inheritance diagram for moeoAdditiveBinaryEpsilonIndicator< EOFitness >:

List of all members.

## Public Member Functions
| moeoAdditiveBinaryEpsilonIndicator ()
| constructor
double | operator() (const EOFitness &_fitness_eo1, const EOFitness &_fitness_eo2)
| computation of the maximum epsilon value by which individual _eo1 must be decreased in all objectives such that individual _eo2 is weakly dominated (do not forget to set the bounds before the call of this function)
## Private Types
typedef EOFitness::fitness_traits | traits
| fitness traits
## Private Member Functions
double | epsilonValue (const EOFitness &_fitness_eo1, const EOFitness &_fitness_eo2, const unsigned _iObj)
| computation of the epsilon value by which individual _eo1 must be decreased in the objective _iObj such that individual _eo2 is weakly dominated

## Detailed Description

### template<class EOFitness>
class moeoAdditiveBinaryEpsilonIndicator< EOFitness >

Functor Additive binary epsilon indicator for eoParetoFitness.

Definition at line 115 of file moeoBinaryQualityIndicator.h.

## Member Function Documentation

template<class EOFitness>

double moeoAdditiveBinaryEpsilonIndicator< EOFitness >::operator() | ( | const EOFitness & | _fitness_eo1,
|  | const EOFitness & | _fitness_eo2 |
| ) |  |  | `[inline]`

computation of the maximum epsilon value by which individual _eo1 must be decreased in all objectives such that individual _eo2 is weakly dominated (do not forget to set the bounds before the call of this function)

Parameters:

  | EOFitness | & _fitness_eo1 the fitness of the first individual
  | EOFitness | & _fitness_eo2 the fitness of the second individual

Definition at line 138 of file moeoBinaryQualityIndicator.h.

References moeoAdditiveBinaryEpsilonIndicator< EOFitness >::epsilonValue().

template<class EOFitness>

double moeoAdditiveBinaryEpsilonIndicator< EOFitness >::epsilonValue | ( | const EOFitness & | _fitness_eo1,
|  | const EOFitness & | _fitness_eo2,
|  | const unsigned | _iObj |
| ) |  |  | `[inline, private]`

computation of the epsilon value by which individual _eo1 must be decreased in the objective _iObj such that individual _eo2 is weakly dominated

Parameters:

  | EOFitness | & _fitness_eo1 the fitness of the first individual
  | EOFitness | & _fitness_eo2 the fitness of the second individual
  | unsigned | _iObj the index of the objective

Definition at line 170 of file moeoBinaryQualityIndicator.h.

References moeoBinaryQualityIndicator< EOFitness >::bounds.

Referenced by moeoAdditiveBinaryEpsilonIndicator< EOFitness >::operator()().

The documentation for this class was generated from the following file:

- moeoBinaryQualityIndicator.h